import { EventEmitter, ElementRef, OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { CfCoreGalleryHelperService } from './cf-core-gallery-helper.service';
export declare class CfCoreGalleryImageComponent implements OnInit, OnChanges {
    private elementRef;
    private helperService;
    images: string[];
    clickable: boolean;
    selectedIndex: number;
    arrows: boolean;
    arrowsAutoHide: boolean;
    swipe: boolean;
    animation: string;
    size: string;
    onClick: EventEmitter<{}>;
    onActiveChange: EventEmitter<{}>;
    constructor(elementRef: ElementRef, helperService: CfCoreGalleryHelperService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    handleClick(event: Event, index: number): void;
    showNext(): void;
    showPrev(): void;
    canShowNext(): boolean;
    canShowPrev(): boolean;
}
